<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  data-namespace-typo3-fluid="true">

<f:if condition="{configuration.insertAbove}">
	<f:render section="paginator" arguments="{pagination: pagination,configuration:configuration}" />
</f:if>

<f:renderChildren arguments="{contentArguments}" />

<f:if condition="{configuration.insertBelow}">
	<f:render section="paginator" arguments="{pagination: pagination,configuration:configuration}" />
</f:if>

<f:section name="paginator">
	<f:if condition="{pagination.numberOfPages} > 1">
		<f:if condition="{settings.list.paginate.prevNextHeaderTags}">
			<f:if condition="{pagination.previousPage}">
				<f:if condition="{pagination.previousPage} > 1">
					<f:then>
						<n:headerData><link rel="prev" href="{f:widget.uri(useCacheHash:1,arguments: {currentPage: pagination.previousPage}) -> f:format.htmlentities()}" /></n:headerData>
					</f:then>
					<f:else>
						<n:headerData><link rel="prev" href="{f:widget.uri() -> f:format.htmlentities()}" /></n:headerData>
					</f:else>
				</f:if>
			</f:if>
			<f:if condition="{pagination.nextPage}">
				<n:headerData><link rel="next" href="{f:widget.uri(useCacheHash:1,arguments: {currentPage: pagination.nextPage}) -> f:format.htmlentities()}" /></n:headerData>
			</f:if>
		</f:if>

		<div class="page-navigation d-flex justify-content-between align-items-center my-3">
            <nav aria-label="news paginierung">
                <ul class="pagination m-0">
                    <f:if condition="{pagination.previousPage}">
                        <li class="page-item">
                            <f:if condition="{pagination.previousPage} > 1">
                                <f:then>
                                    <f:widget.link useCacheHash="1" addQueryStringMethod="GET" arguments="{currentPage: pagination.previousPage}" class="page-link">
                                        <span aria-hidden="true">&laquo;</span>
                                    </f:widget.link>
                                </f:then>
                                <f:else>
                                    <f:widget.link addQueryStringMethod="GET" class="page-link">
                                        <span aria-hidden="true">&laquo;</span>
                                    </f:widget.link>
                                </f:else>
                            </f:if>
                        </li>
                    </f:if>
                    <f:if condition="{pagination.displayRangeStart} > 1">
                        <li class="page-item first">
                            <f:widget.link addQueryStringMethod="GET" class="page-link">1</f:widget.link>
                        </li>
                    </f:if>
                    <f:if condition="{pagination.hasLessPages}">
                        <li class="page-item"><span class="page-link">…</span></li>
                    </f:if>
                    <f:for each="{pagination.pages}" as="page">
                        <f:if condition="{page.isCurrent}">
                            <f:then>
                                <li class="page-item active"><span class="page-link">{page.number}</span></li>
                            </f:then>
                            <f:else>
                                <li class="page-item">
                                    <f:if condition="{page.number} > 1">
                                        <f:then>
                                            <f:widget.link useCacheHash="1" addQueryStringMethod="GET" arguments="{currentPage: page.number}" class="page-link">{page.number}</f:widget.link>
                                        </f:then>
                                        <f:else>
                                            <f:widget.link addQueryStringMethod="GET" class="page-link">{page.number}</f:widget.link>
                                        </f:else>
                                    </f:if>
                                </li>
                            </f:else>
                        </f:if>
                    </f:for>
                    <f:if condition="{pagination.hasMorePages}">
                        <li class="page-item"><span class="page-link">…</span></li>
                    </f:if>
                    <f:if condition="{pagination.displayRangeEnd} < {pagination.numberOfPages}">
                        <li class="page-item last">
                            <f:widget.link useCacheHash="1" addQueryStringMethod="GET" arguments="{currentPage: pagination.numberOfPages}" class="page-link">{pagination.numberOfPages}</f:widget.link>
                        </li>
                    </f:if>
                    <f:if condition="{pagination.nextPage}">
                        <li class="page-item last next">
                            <f:widget.link useCacheHash="1" addQueryStringMethod="GET" arguments="{currentPage: pagination.nextPage}" class="page-link">
                                <span aria-hidden="true">&raquo;</span>
                            </f:widget.link>
                        </li>
                    </f:if>
                </ul>
            </nav>
            <p class="m-0 text-black-50">
                <f:translate key="paginate_overall" arguments="{0:pagination.current,1:pagination.numberOfPages}" />
            </p>
        </div>
		<div class="news-clear"></div>
	</f:if>
</f:section>
</html>
